# Uses of Interface
javax.security.sasl.SaslServer

Packages that use SaslServer
Package
Description
javax.security.sasl
Contains class and interfaces for supporting SASL.

## Uses of SaslServer in javax.security.sasl

Methods in javax.security.sasl that return SaslServer
Modifier and Type
Method
Description
`static SaslServer`
Sasl.`createSaslServer​(String mechanism, String protocol, String serverName, Map<String,​?> props, CallbackHandler cbh)`
Creates a `SaslServer` for the specified mechanism.
`SaslServer`
SaslServerFactory.`createSaslServer​(String mechanism, String protocol, String serverName, Map<String,​?> props, CallbackHandler cbh)`
Creates a `SaslServer` using the parameters supplied.